# geos::noding::snapround::MCIndexPointSnapper Class Reference

"Snaps" all SegmentStrings in a SpatialIndex containing MonotoneChains to a given HotPixel. More...

`#include <MCIndexPointSnapper.h>`

List of all members.

## Public Member Functions

| MCIndexPointSnapper (index::SpatialIndex &nIndex)
bool | snap (HotPixel &hotPixel, SegmentString *parentEdge, unsigned int vertexIndex)
bool | snap (HotPixel &hotPixel)

## Detailed Description

"Snaps" all SegmentStrings in a SpatialIndex containing MonotoneChains to a given HotPixel.

## Member Function Documentation

bool geos::noding::snapround::MCIndexPointSnapper::snap | ( | HotPixel & | hotPixel,
|  | SegmentString * | parentEdge,
|  | unsigned int | vertexIndex
| ) |  |

Snaps (nodes) all interacting segments to this hot pixel. The hot pixel may represent a vertex of an edge, in which case this routine uses the optimization of not noding the vertex itself

Parameters:

  hotPixel | the hot pixel to snap to
  parentEdge | the edge containing the vertex, if applicable, or `null`
  vertexIndex | the index of the vertex, if applicable, or -1

Returns:
  `true` if a node was added for this pixel

The documentation for this class was generated from the following file:

- MCIndexPointSnapper.h